Lucene++ - a full-featured, c++ search engine
API Documentation

Public Member Functions | Static Public Attributes
Lucene::Constants Class Reference

Some useful Lucene constants. More...

`#include <Constants.h>`

## Public Member Functions

virtual | ~Constants ()

## Static Public Attributes

static String | OS_NAME
static String | LUCENE_MAIN_VERSION
static String | LUCENE_VERSION

## Detailed Description

Some useful Lucene constants.

## Constructor & Destructor Documentation

## ◆ ~Constants()

virtual Lucene::Constants::~Constants | ( |  | ) |

virtual

## Field Documentation

## ◆ LUCENE_MAIN_VERSION

String Lucene::Constants::LUCENE_MAIN_VERSION

static

## ◆ LUCENE_VERSION

String Lucene::Constants::LUCENE_VERSION

static

## ◆ OS_NAME

String Lucene::Constants::OS_NAME

static

The documentation for this class was generated from the following file:

- Constants.h

clucene.sourceforge.net